<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>3.2.5</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>
    <groupId>com.shulead</groupId>
    <artifactId>datasync</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <name>datasync</name>
    <description>datasync</description>
    <properties>
        <java.version>21</java.version>
    </properties>
    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>

        <dependency>
            <groupId>com.mysql</groupId>
            <artifactId>mysql-connector-j</artifactId>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-spring-boot3-starter</artifactId>
            <version>3.5.6</version>
        </dependency>

        <dependency>
            <groupId>com.github.yulichang</groupId>
            <artifactId>mybatis-plus-join-boot-starter</artifactId>
            <version>1.4.12</version>
        </dependency>

        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>dingtalk</artifactId>
            <version>2.1.17</version>
        </dependency>

        <dependency>
            <groupId>com.alibaba.fastjson2</groupId>
            <artifactId>fastjson2</artifactId>
            <version>2.0.49</version>
        </dependency>

        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>alibaba-dingtalk-service-sdk</artifactId>
            <version>2.0.0</version>
        </dependency>

        <!-- https://mvnrepository.com/artifact/com.baomidou/dynamic-datasource-spring-boot-starter -->
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>dynamic-datasource-spring-boot3-starter</artifactId>
            <version>4.3.0</version>
        </dependency>

        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <version>5.8.27</version>
        </dependency>

        <!--引入第三方jaxrpc jar -->
        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>activation</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/activation.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>axis</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/axis.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>axis-ant</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/axis-ant.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>bsf</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/bsf.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>castor</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/castor-0.9.5.2.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>commons-codec</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/commons-codec-1.2.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>commons-discovery</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/commons-discovery-0.2.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>commons-httpclient</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/commons-httpclient-3.0-rc2.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>commons-logging</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/commons-logging-1.0.4.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>commons-net</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/commons-net-1.0.0-dev.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>httpunit</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/httpunit.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>ibmjsse</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/ibmjsse.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>jms</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/javax.jms.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>jaxrpc</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/jaxrpc.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>JimiProClasses</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/JimiProClasses.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>junit</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/junit-3.8.1.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>log4j</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/log4j-1.2.8.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>mailapi</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/mailapi_1_3_1.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>saaj</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/saaj.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>servlet</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/servlet.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>wsdl4j</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/wsdl4j-1.5.1.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>javax.xml</groupId>
            <artifactId>xml-apis</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/javax/endorsed/xml-apis-2.6.2.jar</systemPath>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <excludes>
                        <exclude>
                            <groupId>org.projectlombok</groupId>
                            <artifactId>lombok</artifactId>
                        </exclude>
                    </excludes>
                </configuration>
            </plugin>
        </plugins>
<!--        <resources>-->
<!--            <resource>-->
<!--                <directory>libs</directory> &lt;!&ndash; 指定引入包的位置 一般写lib就可以 &ndash;&gt;-->
<!--                <targetPath>/BOOT-INF/lib/</targetPath> &lt;!&ndash; 指定打包后的位置 一般写/BOOT-INF/lib/ 即可 &ndash;&gt;-->
<!--                <includes>-->
<!--                    <include>activation.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>axis.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>axis-ant.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>bsf.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>castor-0.9.5.2.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>commons-codec-1.2.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>commons-discovery-0.2.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>commons-httpclient-3.0-rc2.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>commons-logging-1.0.4.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>commons-net-1.0.0-dev.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>httpunit.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>ibmjsse.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>javax.jms.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>jaxrpc.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>JimiProClasses.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>junit-3.8.1.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>log4j-1.2.8.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>mailapi_1_3_1.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>saaj.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>servlet.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>wsdl4j-1.5.1.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                    <include>xml-apis-2.6.2.jar</include> &lt;!&ndash; jar包名称 &ndash;&gt;-->
<!--                </includes>-->
<!--            </resource>-->
<!--            <resource>-->
<!--                <directory>src/main/resources</directory> &lt;!&ndash; 指定打包时的资源路径（由于自己引入了本地jar所以需要指定一下位置，如果没有引入本地jar就不必配置系统会自动把maven引入的jar打包） &ndash;&gt;-->
<!--                <includes>-->
<!--                    <include>**/*.*</include> &lt;!&ndash; 打包路径下的文件 这里*代表模糊匹配 &ndash;&gt;-->
<!--                </includes>-->
<!--                <filtering>false</filtering>-->
<!--            </resource>-->
<!--        </resources>-->
    </build>
    <repositories>
        <repository>
            <id>maven_central</id>
            <name>Maven Central</name>
            <url>https://repo.maven.apache.org/maven2/</url>
        </repository>
    </repositories>
</project>
